Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class BufferManager

    java.lang.Object
      org.codehaus.groovy.tools.shell.BufferManager

    class BufferManager
    extends Object

Manages the shells buffers.

Authors:
  Jason Dillon

Version:
  \$Id: BufferManager.groovy 14373 2008-12-11 14:25:07Z roshandawrani \$

Field Summary
`protected Logger` | `log`

Property Summary
`List` | `buffers`
`int` | `selected`

Constructor Summary
`BufferManager()`

Method Summary
`void` | `clearSelected()`
`int` | `create(boolean select)`
`List` | `current()`
`void` | `delete(int index)`
`void` | `deleteSelected()`
`void` | `reset()`
`void` | `select(int index)`
`int` | `size()`
`void` | `updateSelected(List buffer)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### log

    protected final Logger log

Property Detail

### buffers

    final List buffers

### selected

    int selected

Constructor Detail

### BufferManager

    BufferManager()

Method Detail

### clearSelected

    void clearSelected()

### create

    int create(boolean select)

### current

    List current()

### delete

    void delete(int index)

### deleteSelected

    void deleteSelected()

### reset

    void reset()

### select

    void select(int index)

### size

    int size()

### updateSelected

    void updateSelected(List buffer)

Copyright © 2003-2010 The Codehaus. All rights reserved.